Get the controlled drugs log
Newest first, each with the balance of its bottle after it, run over the bottle’s whole history. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
controlled-drugs
/
entries
Get the controlled drugs log
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"bottle_id": "<string>",
"drug_id": "<string>",
"kind": "received",
"change": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"animal_id": "<string>",
"animal_name": "<string>",
"purpose": "<string>",
"route": "<string>",
"weight_kg": 123,
"by_person_id": "<string>",
"by_name": "<string>",
"witness_person_id": "<string>",
"witness_name": "<string>",
"reason": "<string>",
"reference": "<string>",
"corrects_entry_id": "<string>",
"recorded_by_name": "<string>",
"bottle_label": "<string>",
"drug_name": "<string>",
"schedule": "II",
"unit": "mL",
"balance_after": 123
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
Get the controlled drugs log
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"bottle_id": "<string>",
"drug_id": "<string>",
"kind": "received",
"change": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"animal_id": "<string>",
"animal_name": "<string>",
"purpose": "<string>",
"route": "<string>",
"weight_kg": 123,
"by_person_id": "<string>",
"by_name": "<string>",
"witness_person_id": "<string>",
"witness_name": "<string>",
"reason": "<string>",
"reference": "<string>",
"corrects_entry_id": "<string>",
"recorded_by_name": "<string>",
"bottle_label": "<string>",
"drug_name": "<string>",
"schedule": "II",
"unit": "mL",
"balance_after": 123
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
